/*
 *	TOPPERS/ASP Kernel
 *		Toyohashi Open Platform for Embedded Real-Time Systems/
 *		Advanced Standard Profile Kernel
 *	
 *	Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *				Graduate School of Information Science, Nagoya Univ., JAPAN
 *	Copyright (C) 2010-2011 by Industrial Technology Institute,
 *								Miyagi Prefectural Government, JAPAN
 *	
 *	嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *	ܥեȥѤΤޤࡥʲƱˤѡʣ
 *	ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *	(1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *		ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *		˴ޤޤƤ뤳ȡ
 *	(2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *		ѤǤǺۤˤϡۤȼɥȡ
 *		ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *		̵ݾڵǺܤ뤳ȡ
 *	(3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *		ѤǤʤǺۤˤϡΤ줫ξ
 *		ȡ
 *	  (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *		  ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *	  (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *		  𤹤뤳ȡ
 *	(4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *		⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *		ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *		ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *		դ뤳ȡ
 *	
 *	ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *	TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *	ФŬޤơʤݾڤԤʤޤܥեȥ
 *	ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *	Ǥʤ
 *	
 *	$Id: prc_cmt.c 2144 2011-06-29 07:57:57Z mit-kimai $
 */

/*
 *	ޥɥ饤СSH12Aѡ
 *	
 *	CMT0
 */

#include "kernel_impl.h"
#include "time_event.h"
#include <sil.h>
#include "target_timer.h"

/*
 *  ޥ
 */
Inline void
target_timer_start(void)
{
	/* CMT0 */
	sil_orh_reg((uint16_t *)CMSTR_h, CMSTR_STR0);
}

/*
 *  
 */
Inline void
target_timer_stop(void)
{
	/* CMT0 */
	sil_anh_reg((uint16_t *)CMSTR_h, ~CMSTR_STR0);
}

/*
 *  ޳׵򥯥ꥢ
 */
Inline void
target_timer_clear_int(void)
{
	sil_anh_reg((uint16_t *)CMCSR_0_h, ~CMCSR_CMF);
}

/*
 *	ޤεư
 */
void
target_timer_initialize(intptr_t exinf)
{
	CLOCK	 cyc = TO_CLOCK(TIC_NUME, TIC_DENO);

	/*
	 *	޼ꤷޤư򳫻Ϥ롥
	 */
	target_timer_stop();		/*  */

	assert(cyc <= MAX_CLOCK);	/* ޾ͤΥå */

	/* ʬ(PCLOCK/8)ߵ */
	sil_wrh_mem((uint16_t *)CMCSR_0_h, (CMCSR_CKS | CMCSR_CMIE));

	/*constant쥸򥻥å */
	sil_wrh_mem((uint16_t *)CMCOR_0_h, cyc);

	target_timer_clear_int();	/* ׵򥯥ꥢ */
	target_timer_start();		/* ޥ */
}

/*
 *	ޤ߽
 */
void
target_timer_terminate(intptr_t exinf)
{
	target_timer_stop();		/*  */
	target_timer_clear_int();	/* ׵򥯥ꥢ */
}

/*
 *	޳ߥϥɥ
 */
void
target_timer_handler(void)
{
	target_timer_clear_int();	/* ׵򥯥ꥢ */
	
	i_begin_int(INTNO_TIMER);
	signal_time();				/* ƥåζ */
	i_end_int(INTNO_TIMER);
}
