/*
 *	TOPPERS/ASP Kernel
 *		Toyohashi Open Platform for Embedded Real-Time Systems/
 *		Advanced Standard Profile Kernel
 *	
 *	Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *				Graduate School of Information Science, Nagoya Univ., JAPAN
 *	Copyright (C) 2007-2010 by Industrial Technology Institute,
 *								Miyagi Prefectural Government, JAPAN
 *	
 *	嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *	ܥեȥѤΤޤࡥʲƱˤѡʣ
 *	ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *	(1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *		ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *		˴ޤޤƤ뤳ȡ
 *	(2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *		ѤǤǺۤˤϡۤȼɥȡ
 *		ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *		̵ݾڵǺܤ뤳ȡ
 *	(3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *		ѤǤʤǺۤˤϡΤ줫ξ
 *		ȡ
 *	  (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *		  ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *	  (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *		  𤹤뤳ȡ
 *	(4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *		⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *		ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *		ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *		դ뤳ȡ
 *	
 *	ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *	TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *	ФŬޤơʤݾڤԤʤޤܥեȥ
 *	ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *	Ǥʤ
 *	
 *	$Id: target_config.h 1824 2010-07-02 06:50:03Z mit-kimai $
 */

/*
 *	åȰ¸⥸塼CQ_FRK_SH2Aѡ
 *
 *	ͥΥåȰ¸Υ󥯥롼ɥե롥kernel_impl.hΥ
 *	åȰ¸ΰդȤʤ롥
 */

#ifndef TOPPERS_TARGET_CONFIG_H
#define TOPPERS_TARGET_CONFIG_H

/*
 *	åȥƥΥϡɥ񸻤
 */
#include "cq_frk_sh2a.h"

/*
 *	ȥ졼˴ؤ
 */
#ifdef TOPPERS_ENABLE_TRACE
#include "logtrace/trace_config.h"

/*
 *	Ϥ̤
 *	ɬפ˱asp/arch/logtrace/trace_dump.ctrace_print()
 *	б̤ɵ롣
 */
#define LOG_INH_ENTER			/*	 17(0x11)  */
#define LOG_INH_LEAVE			/*	145(0x91)  */
#define LOG_EXC_ENTER			/*	 22(0x16)  */
#define LOG_EXC_LEAVE			/*	150(0x96)  */

#endif /* TOPPERS_ENABLE_TRACE */

/*
 *	åȰ¸ʸϤ˻ѤݡȤ
 */
#define TARGET_PUTC_PORTID 3

/*
 *	ASPͥưΥޥåפȴϢ
 */

/*
 *	ǥեȤ󥿥ƥѤΥåΰ
 */
/*  å  */
#ifdef ROM_BOOT				/*	ROM  */
#define DEFAULT_ISTKSZ	  0x8000U
#else	/*	ROM_BOOT  */	/*	ǥХå	*/
#define DEFAULT_ISTKSZ	  0x2000U
#endif /*  ROM_BOOT  */

/*	åΰ */
#define DEFAULT_ISTK_BOTTOM		INNER_RAM_END

/*	åΰƬϡʥåΰǤϤʤΤǡա */
#define DEFAULT_ISTK	  (void *)(DEFAULT_ISTK_BOTTOM - DEFAULT_ISTKSZ)

#ifndef TOPPERS_MACRO_ONLY

/*
 *	åȥƥ¸ν
 */
extern void target_initialize(void);

/*
 *	åȥƥνλ
 *
 *	ƥλ˻Ȥ
 */
extern void target_exit(void) NoReturn;

#endif /* TOPPERS_MACRO_ONLY */

/*
 *	ԤΤSILΥåȰ¸
 */
#ifdef ROM_BOOT		/*	ROMξ  */
#define SIL_DLY_TIM1	 75
#define SIL_DLY_TIM2	 21

#else				/*	RAMǥǥХå  */
#define SIL_DLY_TIM1	 1466
#define SIL_DLY_TIM2	  682

#endif


/*
 *	STBCR24ν͡ʳ1Хȡ
 */
	/*
	 *	H-UDI
	 *	ROM
	 *	ǥХåư
	 *	UBC
	 *	DMAC
	 */
#ifdef ROM_BOOT		/*	ROMξ  */
#define STBCR2_VALUE	 (STBCR2_HUDI | /* STBCR2_DMAC | */ STBCR2_FPU)
#else				/*	HEWǥǥХå  */
#define STBCR2_VALUE	 (/* STBCR2_HUDI | STBCR2_DMAC | STBCR2_FPU */0)
#endif

	/*
	 *	ϥ⡼ɻüҾ֤ݻ롣
	 *	IEBusȥ
	 *	MTU2
	 *	SDۥȥ󥿥ե0
	 *	SDۥȥ󥿥ե1
	 *	ADC
	 *	DAC
	 *	ꥢ륿९åư
	 */
#define STBCR3_VALUE	 (/* STBCR3_HZ | */ STBCR3_IEBC | STBCR3_MTU2 | STBCR3_SDHC0 \
						  | STBCR3_SDHC1 | STBCR3_ADC | STBCR3_RTC)

	/*
	 *	SCFI0
	 *	SCFI1
	 *	SCFI2ư
	 *	SCFI3
	 *	SCFI4
	 *	SCFI5
	 *	SCFI6
	 *	SCFI7
	 */
#define STBCR4_VALUE	 (STBCR4_SCIF0 | STBCR4_SCIF1 /* | STBCR4_SCIF2 */ | STBCR4_SCIF3 \
						  | STBCR4_SCIF4 | STBCR4_SCIF5 | STBCR4_SCIF6 | STBCR4_SCIF7)

	/*
	 *	FIFOդåƱꥢI/O
	 *	ͥSPDIF󥿥ե
	 *	ӥǥǥץ쥤ȥ3
	 *	CMTư
	 *	NANDեåꥳȥ
	 */
#define STBCR7_VALUE	 (STBCR7_SIOF | STBCR7_SPDIF | STBCR7_VDC3 \
						  | /* STBCR7_CMT | */ STBCR7_FLC)

/*
 *  ߵĤͭˤʤޤǤλԤ򤹤뤿nop̿
 *  
 *  SH7262ϰŪʥå¢Ƥʤˡ
 *  ¢եåROMФƤΤͭROMå
 *  ¢Ƥ롣ROMåϾONǡOFFˤϤǤʤ
 *  ΤᡢENABLE_CACHEޥǤϤʤROM_BOOTޥ
 *  Ѥơٱɬפ̿Ƚ̤Ƥ롣
 */
#ifdef ROM_BOOT		/*  ROMåαƶ  */
	/*
	 *  ROMåθ̤θ
	 *  CPUINTCãޤǤٱ
	 *  ʥѥ3Icycʬ6̿ 
	 */

	/*  ǥѥå  */
#define LDC_NOP_DISPATCHER		nop; nop; nop; nop; nop; nop

	/*  set_srѡΥåȤǤɬפʤ  */
// #define LDC_NOP_SET_SR			"nop; nop"

	/*  TOPPERS_set_iipmѤtarget_sil.h˵Ҥ롣  */

#endif	/*  ROM_BOOT  */

/*
 *	ץå¸⥸塼SH7262ѡ
 */
#include "sh12a_gcc/sh7262_config.h"

#endif	/* TOPPERS_TARGET_CONFIG_H */
